{{#if @record.id}}
  <LinkTo @route='manage.articles.edit' @model={{@record.id}} class='dropdown-item dropdown-item-edit text-start'>
    <FaIcon @icon='pencil-alt' />
    {{capitalize (t 'edit')}}
  </LinkTo>

  {{#if @record.canBeTested}}
    <Input::Button class='dropdown-item dropdown-item-send-test-email text-start' @action={{this.sendTestEmail}}>
      <FaIcon @icon='flask-vial' />
      {{capitalize (t 'send test email')}}
    </Input::Button>
  {{/if}}

  {{#if (eq @record.status 'draft')}}
    <Input::Button class='dropdown-item dropdown-item-send-to-all text-start' @action={{this.sendToAll}}>
      <FaIcon @icon='comment-dots' />
      {{capitalize (t 'send to all recipients')}}
    </Input::Button>
  {{/if}}

  {{#if @record.canBePublished}}
    <Input::Button class='dropdown-item dropdown-item-publish text-start' @action={{this.publish}}>
      <FaIcon @icon='comment' />
      {{capitalize (t 'publish now')}}
    </Input::Button>
  {{/if}}

  {{#if @record.canUnpublish}}
    <Input::Button class='dropdown-item dropdown-item-unpublish text-start' @action={{this.unpublish}}>
      <FaIcon @icon='comment-slash' />
      {{capitalize (t 'cancel publishing')}}
    </Input::Button>
  {{/if}}
{{/if}}